Subject: Re: 3c59x: shared interrupt problem

From: "Gerhard Pircher" <[email-masked]>
Date: Thu, 12 Mar 2009 16:12:37 +0100

-------- Original-Nachricht --------
> Datum: Thu, 12 Mar 2009 15:39:30 +0100
> Von: Steffen Klassert <[email-masked]>
> An: Gerhard Pircher <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked]
> Betreff: Re: 3c59x: shared interrupt problem

> On Wed, Mar 11, 2009 at 11:42:40PM +0100, Gerhard Pircher wrote:
> > 
> > > Your first report showed dnComplete as a pending interrupt source.
> > > Since the driver uses tx_interrupt_mitigation, this happens just if
> > > the tx ring is full. Could you please test the patch below? This
> > > disables tx_interrupt_mitigation, so the dnComplete interrupt will
> > > be triggered with every packet.
> > I disabled tx_interrupt_mitigation and tested it with and w/o the
> > patch for boomerang_interrupt(). The network transfer stalls in both
> > cases sooner or later.
> > 
> > Here are two photos from the kernel output:
> > - no tx_interrupt_mitigation and patch for booomerang_interrupt():
> >
> http://boot.homelinux.org:8080/kernel/oops_boomerang_irq_tx_irq_mitig.jpg
> > - no tx_interrupt_mitigation only:
> > http://boot.homelinux.org:8080/kernel/oops_tx_irq_mitig.jpg
> > 
> 
> Your pictures show just a message at shutdown. Are there any other
> unusual messages from the 3c59x driver in your logs? In particular I'm
> interested in "transmit timed out" messages.
Unfortunately no. But I had disabled debugging in the driver until now, as
it slows down the network transfer considerably. I'll rerun the test with
debugging enabled.

I'm going to retry 'git bisect' next week. Maybe I find a way to compile a
bootable image for older kernel versions.

Thanks!

Gerhard

-- 
Nur bis 16.03.! DSL-Komplettanschluss inkl. WLAN-Modem für nur 
17,95 ¿/mtl. + 1 Monat gratis!* http://dsl.gmx.de/?ac=OM.AD.PD003K11308T4569a